io.vertx.groovy.ext.shell.term

## Class TermServer_GroovyStaticExtension

- java.lang.Object
- - io.vertx.groovy.ext.shell.term.TermServer_GroovyStaticExtension

-     public class TermServer_GroovyStaticExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermServer_GroovyStaticExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TermServer` | `createHttpTermServer(TermServer j_receiver, Vertx vertx, Map<String,Object> options)`
    `static TermServer` | `createHttpTermServer(TermServer j_receiver, Vertx vertx, Router router, Map<String,Object> options)`
    `static TermServer` | `createSSHTermServer(TermServer j_receiver, Vertx vertx, Map<String,Object> options)`
    `static TermServer` | `createTelnetTermServer(TermServer j_receiver, Vertx vertx, Map<String,Object> options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TermServer_GroovyStaticExtension

          public TermServer_GroovyStaticExtension()

  - ### Method Detail

    - #### createSSHTermServer

          public static TermServer createSSHTermServer(TermServer j_receiver,
                                                       Vertx vertx,
                                                       Map<String,Object> options)

    - #### createTelnetTermServer

          public static TermServer createTelnetTermServer(TermServer j_receiver,
                                                          Vertx vertx,
                                                          Map<String,Object> options)

    - #### createHttpTermServer

          public static TermServer createHttpTermServer(TermServer j_receiver,
                                                        Vertx vertx,
                                                        Map<String,Object> options)

    - #### createHttpTermServer

          public static TermServer createHttpTermServer(TermServer j_receiver,
                                                        Vertx vertx,
                                                        Router router,
                                                        Map<String,Object> options)

Copyright © 2017. All rights reserved.